> For the complete documentation index, see [llms.txt](https://developer.kriptomat.io/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.kriptomat.io/docs/whitelabel-api-fiat-onramp-offramp-via-bank-wire/api-reference/endpoints/users/update-user.md).

# Update User

Update the user for the person using your integration.

### **PUT /api/v1/partners/users/{user\_id}**

The following user attributes are available for update:

<table><thead><tr><th width="217.70989761092147">Parameter</th><th>Description</th></tr></thead><tbody><tr><td>name</td><td>users name</td></tr><tr><td>surname</td><td>users surname</td></tr><tr><td>phone</td><td>users phone number</td></tr><tr><td>status </td><td>set users status (active, disabled, deleted)</td></tr></tbody></table>

It is possible to update single or multiple attributes with single api call based on your requirement. &#x20;

{% tabs %}
{% tab title="PHP" %}

```php
$client = new \GuzzleHttp\Client();
$response = $client->put(
    'https://api.kriptomat.io/api/v1/partners/users/1',
    [
        'headers' => [
            'X-Requested-With' => 'XMLHttpRequest',
            'Authorization' => 'Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiIsImp0aSI6ImZjMzcwNGUxYzJhZGJmNGZkMmQyMWNhZDJjNzcwMjk5NzFmODFkNzc2OTczMTRlOTVhOTllNTYwMjAwMjIwMmYxZmIwZDczODRkYTU4YTkzIn0.eyJhdWQiOiI1IiwianRpIjoiZmMzNzA0ZTFjMmFkYmY0ZmQyZDIxY2FkMmM3NzAyOTk3MWY4MWQ3NzY5NzMxNGU5NWE5OWU1NjAyMDAyMjAyZjFmYjBkNzM4NGRhNThhOTMiLCJpYXQiOjE1NDU3MzQyMTIsIm5iZiI6MTU0NTczNDIxMiwiZXhwIjoxNTQ1NzM3ODEyLCJzdWIiOiIyIiwic2NvcGVzIjpbXX0.oD29UustUU7zwBcyp2M45pkAK2c71i6JjQsQTLNfgKQgq9j7lRNy34YbD28MisBpIOrSn7tBRfX2N-CiwxDaeFlNndYGV_8p2zWkzt_S3-Anpg0a1tyImwRp1WgORnD30-kpmwKVsbDJ1C3Mk-TiRgdXBKDGbs43UQ7uG27UoyEeqcyHMDpz0FOa0-ITcwZh2n4lp1gcHpQnon0L-_suTTUvLvPK-yy-nqcHURa5Fmk8dWKechrcZaFwd62T7f2ZuybuM9DjPd87rXHxOYged63Om9OnVOEcWkGSyAeiGwgV4lCFRMQNKUQnp1W_M0gIarwesgJHq4XKBn69SuMJDfUo3oGM3LoxBm_9OfF276SZ3Ta8_njENLX2Dzg-b4FV-GitUeQmJBAji0mwGqp-nhPFCyCUZ91qvNx6tNLAdHR0R3jrJAdBKbw44AfqgABFdzfh1iuahSU1JQ7hu3OIhnvEyWf9XECPdJLywgXNP6Cr2fZpUUxu7EedqJDklPBBZQ-cChvfj8hR4mpdT61DX_1BgwEofOsqRHvvbxaYUVL320MgYKMiS2USXe5d0oznOzJfq7NJ3hIyzCqgITt7w1iChyiNpaTtyp2CysAVSWHOjpFxp00756533ck3CJN8EpccjHiq5sWSaed1iFUKRjicd_4GPNKTmJMPCfg97WI',
            'Content-Type' => 'application/json',
        ],
        'json' => [
            'name' => 'Johny',
            'surname' => 'Doe',
            'phone' => '+381631283023',
            'status' => 'disabled',
        ],
    ]
);
$body = $response->getBody();
print_r(json_decode((string) $body));
```

{% endtab %}

{% tab title="Javascript" %}

```javascript
const url = new URL(
    "https://api.kriptomat.io/api/v1/partners/users/1"
);

let headers = {
    "X-Requested-With": "XMLHttpRequest",
    "Authorization": "Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiIsImp0aSI6ImZjMzcwNGUxYzJhZGJmNGZkMmQyMWNhZDJjNzcwMjk5NzFmODFkNzc2OTczMTRlOTVhOTllNTYwMjAwMjIwMmYxZmIwZDczODRkYTU4YTkzIn0.eyJhdWQiOiI1IiwianRpIjoiZmMzNzA0ZTFjMmFkYmY0ZmQyZDIxY2FkMmM3NzAyOTk3MWY4MWQ3NzY5NzMxNGU5NWE5OWU1NjAyMDAyMjAyZjFmYjBkNzM4NGRhNThhOTMiLCJpYXQiOjE1NDU3MzQyMTIsIm5iZiI6MTU0NTczNDIxMiwiZXhwIjoxNTQ1NzM3ODEyLCJzdWIiOiIyIiwic2NvcGVzIjpbXX0.oD29UustUU7zwBcyp2M45pkAK2c71i6JjQsQTLNfgKQgq9j7lRNy34YbD28MisBpIOrSn7tBRfX2N-CiwxDaeFlNndYGV_8p2zWkzt_S3-Anpg0a1tyImwRp1WgORnD30-kpmwKVsbDJ1C3Mk-TiRgdXBKDGbs43UQ7uG27UoyEeqcyHMDpz0FOa0-ITcwZh2n4lp1gcHpQnon0L-_suTTUvLvPK-yy-nqcHURa5Fmk8dWKechrcZaFwd62T7f2ZuybuM9DjPd87rXHxOYged63Om9OnVOEcWkGSyAeiGwgV4lCFRMQNKUQnp1W_M0gIarwesgJHq4XKBn69SuMJDfUo3oGM3LoxBm_9OfF276SZ3Ta8_njENLX2Dzg-b4FV-GitUeQmJBAji0mwGqp-nhPFCyCUZ91qvNx6tNLAdHR0R3jrJAdBKbw44AfqgABFdzfh1iuahSU1JQ7hu3OIhnvEyWf9XECPdJLywgXNP6Cr2fZpUUxu7EedqJDklPBBZQ-cChvfj8hR4mpdT61DX_1BgwEofOsqRHvvbxaYUVL320MgYKMiS2USXe5d0oznOzJfq7NJ3hIyzCqgITt7w1iChyiNpaTtyp2CysAVSWHOjpFxp00756533ck3CJN8EpccjHiq5sWSaed1iFUKRjicd_4GPNKTmJMPCfg97WI",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "name": "Johny",
    "surname": "Doe",
    "phone": "+381631283023",
    "status": "disabled"
}

fetch(url, {
    method: "PUT",
    headers: headers,
    body: body
})
    .then(response => response.json())
    .then(json => console.log(json));
```

{% endtab %}

{% tab title="Bash" %}

```bash
curl -X PUT \
    "https://api.kriptomat.io/api/v1/partners/users/1" \
    -H "X-Requested-With: XMLHttpRequest" \
    -H "Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiIsImp0aSI6ImZjMzcwNGUxYzJhZGJmNGZkMmQyMWNhZDJjNzcwMjk5NzFmODFkNzc2OTczMTRlOTVhOTllNTYwMjAwMjIwMmYxZmIwZDczODRkYTU4YTkzIn0.eyJhdWQiOiI1IiwianRpIjoiZmMzNzA0ZTFjMmFkYmY0ZmQyZDIxY2FkMmM3NzAyOTk3MWY4MWQ3NzY5NzMxNGU5NWE5OWU1NjAyMDAyMjAyZjFmYjBkNzM4NGRhNThhOTMiLCJpYXQiOjE1NDU3MzQyMTIsIm5iZiI6MTU0NTczNDIxMiwiZXhwIjoxNTQ1NzM3ODEyLCJzdWIiOiIyIiwic2NvcGVzIjpbXX0.oD29UustUU7zwBcyp2M45pkAK2c71i6JjQsQTLNfgKQgq9j7lRNy34YbD28MisBpIOrSn7tBRfX2N-CiwxDaeFlNndYGV_8p2zWkzt_S3-Anpg0a1tyImwRp1WgORnD30-kpmwKVsbDJ1C3Mk-TiRgdXBKDGbs43UQ7uG27UoyEeqcyHMDpz0FOa0-ITcwZh2n4lp1gcHpQnon0L-_suTTUvLvPK-yy-nqcHURa5Fmk8dWKechrcZaFwd62T7f2ZuybuM9DjPd87rXHxOYged63Om9OnVOEcWkGSyAeiGwgV4lCFRMQNKUQnp1W_M0gIarwesgJHq4XKBn69SuMJDfUo3oGM3LoxBm_9OfF276SZ3Ta8_njENLX2Dzg-b4FV-GitUeQmJBAji0mwGqp-nhPFCyCUZ91qvNx6tNLAdHR0R3jrJAdBKbw44AfqgABFdzfh1iuahSU1JQ7hu3OIhnvEyWf9XECPdJLywgXNP6Cr2fZpUUxu7EedqJDklPBBZQ-cChvfj8hR4mpdT61DX_1BgwEofOsqRHvvbxaYUVL320MgYKMiS2USXe5d0oznOzJfq7NJ3hIyzCqgITt7w1iChyiNpaTtyp2CysAVSWHOjpFxp00756533ck3CJN8EpccjHiq5sWSaed1iFUKRjicd_4GPNKTmJMPCfg97WI" \
    -H "Content-Type: application/json" \
    -d '{"name":"Johny","surname":"Doe","phone":"+381631283023","status":"disabled"}'
```

{% endtab %}
{% endtabs %}

This will return

```
{
    "status": true
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.kriptomat.io/docs/whitelabel-api-fiat-onramp-offramp-via-bank-wire/api-reference/endpoints/users/update-user.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
